Get File by Path
curl --request GET \
--url https://{instance}.domo.com/api/files/v1/filesets/{filesetId}/path \
--header 'X-DOMO-Developer-Token: <api-key>'import requests
url = "https://{instance}.domo.com/api/files/v1/filesets/{filesetId}/path"
headers = {"X-DOMO-Developer-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-DOMO-Developer-Token': '<api-key>'}};
fetch('https://{instance}.domo.com/api/files/v1/filesets/{filesetId}/path', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>",
"name": "<string>",
"fileType": "<string>",
"contentType": "<string>",
"size": 123,
"created": "2023-11-07T05:31:56Z",
"createdBy": 123,
"hash": "<string>",
"hashAlgorithm": "<string>",
"downloadUrl": "<string>",
"connectorKey": "<string>",
"indexStatus": "<string>",
"indexReason": "<string>"
}Files
Get File by Path
Retrieves a File’s metadata using its path.
GET
/
api
/
files
/
v1
/
filesets
/
{filesetId}
/
path
Get File by Path
Authorizations
Domo Developer Token for authentication.
Path Parameters
Query Parameters
The path to the File within the FileSet.
Response
Full file metadata.
⌘I